.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    transform: translate(0, 0);
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: sans-serif;
}

.modal__background {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, .8);
    cursor: pointer;
    z-index: 1;
}

.modal__main-container {
    z-index: 2;
    background: white;
    border: 1px solid lightgrey;
    border-radius: 5px;
    box-sizing: border-box;
    padding: 40px 20px 20px;
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 400px;
}

.modal__close {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 28px;
    height: 28px;
    border-radius: 3px;
    border: 1px solid slateblue;
    outline: none;
    background-size: 70%;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
    filter: brightness(.9);
    background-color: tomato;
    background-image: url("../../assets/modal/close-thick.png");
}


.modal__close:hover {
    box-shadow: 0 0 4px 0 rgba(34, 60, 80, 0.6);
    filter: brightness(1);
}

.modal__close:active {
    box-shadow: 0 0 4px 0 rgba(34, 60, 80, 0);
}

.modal__content-wrapper {
    margin-bottom: 30px;
}

.modal__button-wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.modal__cancel-btn, .modal__confirm-btn {
    padding: 7px 12px;
    color: white;
    border-radius: 6px;
    border: none;
    outline: none;
    margin-left: 10px;
    font-size: 18px;
    cursor: pointer;
    filter: brightness(.9);
    min-width: 120px;

}

.modal__cancel-btn:hover, .modal__confirm-btn:hover {
    box-shadow: 0 0 4px 0 rgba(34, 60, 80, 0.6);
    filter: brightness(1);
}

.modal__cancel-btn:active, .modal__confirm-btn:active {
    box-shadow: 0 0 4px 0 rgba(34, 60, 80, 0.6);
    filter: brightness(1);
}

.modal__cancel-btn {
    background: tomato;
}

.modal__confirm-btn {
    background: slateblue;
}
